#include <bits/stdc++.h>

using namespace std;

void swap(vector<int> &arr, int a, int b) {
    int temp = arr[a];
    arr[a] = arr[b];
    arr[b] = temp;
}

int partition(vector<int> &arr, int l, int r) {
    int j = l-1;
    int pivot = arr[r];
    for(int i = l; i < r; ++i) {
        if (arr[i] < pivot) {
            j++;
            swap(arr, i, j);
        }
    }
    j++;
    swap(r, j);
}

void quicksort(vector<int> &arr, int l, int r) {
    if (l > r) {
        return;
    }
    int p = partition(arr, l, r);
    quicksort(arr, l, p-1);
    quicksort(arr, p+1, r);
}

unsigned long long clamp(long long a) {
    if (a < 0) {
        return 0;
    } else  return a;
}


int main() {
    unsigned long long k, a, x, b, y;
    cin >> k >> a >> x >> b >> y;
    if (a == 0 and x == 0) {
        cout << (k-b)*y;
    }
    else if (a == 0 and b == 0) {
        cout << k * (a + b);
    }
    else if (a == b) {
        unsigned long long better_time, better_work, worse_time, worse_work;
        if (x > y) {
            better_time = a;
            better_work = x;
            worse_time = b;
            worse_work = y;
        }
        else {
            better_time = b;
            better_work = y;
            worse_time = a;
            worse_work = x;
        }
        cout << (k - better_time) * better_work + (k - better_time - worse_time) * worse_work;
    }
    else {
        unsigned long long first = clamp(k - a) * x + clamp(k - a - b) * y;
        unsigned long long second = clamp(k - b) * y + clamp(k - b - a) * x;

        if (first > second)
            cout << first;
        else
            cout << second;
    }
    return 0;
}
