#include <bits/stdc++.h>

using namespace std;

unsigned long long abk_summ(unsigned long long a, unsigned long long b, unsigned long long k) {
    unsigned long long numbers = (b - a) / k + 1;
    unsigned long long pairs = numbers / 2;
    unsigned long long one_pair = (a + b);
    unsigned long long ans = pairs*one_pair;

    if (numbers % 2 != 0) {
        ans += one_pair/2;
    }
    return ans;
}

unsigned long long row_summ(unsigned long long w, unsigned long long y) {
    return w*(y*w+w + y*w+1) / 2;
}

unsigned long long column_summ(unsigned long long w, unsigned long long h, unsigned long long x) {
    return abk_summ(x+1, w*(h-1)+x+1, w);
}

unsigned long long table_summ(unsigned long long w, unsigned long long h) {
    int m = w * h;
    return m * (m + 1) / 2;
}

unsigned long long _abs(long long x) {
    if (x < 0) return -x;
    else return x;
}


int main() {
    int t;
    long long w, h;
    cin >> t;
    for(int i = 0; i < t; ++i) {
        cin >> h >> w;

//        unsigned long long a[w][h];
//        for(unsigned long long y = 0; y < h; y++) {
//            for(unsigned long long x = 0; x < w; x++) {
//                a[x][y] = y*w + x + 1;
//            }
//        }
//
//        for(unsigned long long y = 0; y < h; ++y) {
//            for(unsigned long long x = 0; x < w; ++x) {
//                cout << a[x][y] << " ";
//            }
//            cout << endl;
//        }


        long long best_diff = -1;
        unsigned long long diff;
        string ans;

        long long left_sum = 0;
        long long right_sum = table_summ(w, h);
        long long part;

//        cout << right_sum << endl;

        for(int x = 1; x < w; ++x) {
            part = column_summ(w, h, x-1);
            left_sum += part;
            right_sum -= part;

//            cout << "column #" << x << ". values: " << left_sum << ", " << right_sum << ". column sum: " << part <<  endl;

            diff = _abs(left_sum - right_sum);
            if (diff < best_diff or best_diff == 0) {
                best_diff = diff;
                ans = "V "+to_string(x+1);
            }
        }

        left_sum = 0;
        right_sum = table_summ(w, h);
        for(int y = 1; y < h; ++y) {
            part = row_summ(w, y-1);
            left_sum += part;
            right_sum -= part;

//            cout << "row #" << y << ". values: " << left_sum << ", " << right_sum << ". row sum:" << part << endl;

            diff = _abs(left_sum - right_sum);
            if (diff < best_diff or best_diff == 0) {
                best_diff = diff;
                ans = "H "+to_string(y+1);
            }
        }

        cout << ans;
    }
    return 0;
}