def dig(x):
    return len(str(x))


def positive(x):
    if x < 0:
        return -x
    else:
        return x


def is_cool(x, k):
    x = str(x)
    if dig(x) == 1:
        return True
    if dig(x) == 2:
        return k == 1 or x[0] == x[1]

    first = x[0]
    second = x[1]
    dominant = -1
    if first == second:
        dominant = first
    else:
        if k == 0:
            return False

        third = x[2]
        if third == first:
            dominant = first
        elif third == second:
            dominant = second
        else:
            return False

    ex = int(dominant * dig(x))
    diff =  positive(ex - int(x))
    if k == 0 and diff != 0:
        return False

    second_ex = make_cool(diff, "0")
    if diff - second_ex != 0:
        return False
    else:
        return True


def make_cool(x, c):  # returns int
    zeros = dig(x)-1
    first = str(x)[0]
    return int(first + c * zeros)


def add_zeros(x, n):
    return int(str(x) + "0" * n)


def increment(c):
    c = int(c)
    c += 1
    if c == 10:
        c = 1
    return str(c)


x = int(input())
k = int(input())

solutions = []


if dig(x) == 1:
    print(x)
elif k == 0:
    solutions.append(x)

    first = str(x)[0] # string
    solutions.append(first * dig(x))

    _next = increment(first)
    solutions.append(_next * dig(x))
elif k == 1:
    solutions.append(x)

    first = str(x)[0]
    second = str(x)[1]
    _next = increment(second)

    solutions.append(make_cool(x, first))
    solutions.append(make_cool(x, second))
    solutions.append(make_cool(x, _next))

    solutions.sort()
    # print(solutions)
    # print(is_cool(x, 1))


for n in solutions:
    n = int(n)
    if n >= x and is_cool(n, k):
        print(n)
        break
