def encode(s):
    ans = ""
    prev_c = ' '
    streak = 0

    for c in s:
        if c == prev_c:
            streak += 1
        else:
            if streak > 0:
                ans += str(streak+1) + prev_c
            else:
                if prev_c != ' ':
                    ans += prev_c
            streak = 0
            prev_c = c
    if streak > 0:
        ans += str(streak + 1) + prev_c
    else:
        ans += prev_c

    return ans


def is_number(c):
    return c == '0' or c == '1' or c == '2' or c == '3' or c == '4' or c == '5' or c == '6' or c == '7' or c == '8' or c == '9'


def decode(s):
    ans = ""

    i = 0
    while i < len(s)-1:
        if is_number(s[i]):
            num = ""
            while is_number(s[i]):
                num += s[i]
                i += 1
            c = s[i]
            n = int(num)
            for o in range(n):
                ans += c
            i += 1
        else:
            ans += s[i]
            i += 1

    return ans


def another_char(c, c2):
    chars = ['A', 'C', 'G', 'T']
    for _c in chars:
        if _c != c and _c != c2:
            return c


min_str = '-1'
min_len = -1
min_op = ''
max_str = '-1'
max_len = -1
max_op = ''

s = input()
s = decode(s)
for i in range(len(s)-1):
    mi = encode(s[:i] + s[i+1:])
    if len(mi) < min_len or min_len == -1:
        min_str = mi
        min_len = len(mi)
        min_op = '2 '+str(i+1)

    c = ''
    if len(s)-1 > i > 0:
        c = another_char(s[i - 1], s[i + 1])
    elif i > 0:
        c = another_char(s[i - 1], s[i - 1])
    else:
        c = another_char(s[i + 1], s[i + 1])

    ma = encode(s[:i] + c + s[i:])
    if len(ma) > max_len or max_len == -1:
        max_str = ma
        max_len = len(ma)
        max_op = '1 ' + str(i) + " " + c

print(min_op)
print(max_op)
# print(decode(s))
# print(encode(s))