def dig(x):
    return len(str(x))


def positive(x):
    if x < 0:
        return -x
    else:
        return x


def is_cool(x, k):
    x = str(x)
    if dig(x) == 1:
        return True
    if dig(x) == 2:
        return k == 1 or x[0] == x[1]

    first = x[0]
    second = x[1]
    dominant = -1
    if first == second:
        dominant = first
    else:
        if k == 0:
            return False

        third = x[2]
        if third == first:
            dominant = first
        elif third == second:
            dominant = second
        else:
            return False

    ex = int(dominant * dig(x))
    diff =  positive(ex - int(x))
    if k == 0 and diff != 0:
        return False

    second_ex = make_cool(diff, "0")
    if diff - second_ex != 0:
        return False
    else:
        return True


def make_cool(x, c):  # returns int
    zeros = dig(x)-1
    first = str(x)[0]
    return int(first + c * zeros)


def add_zeros(x, n):
    return int(str(x) + "0" * n)


def increment(c):
    c = int(c)
    c += 1
    if c == 10:
        c = 1
    return str(c)


def find_dominant(x):
    x = str(x)
    if len(x) <= 2:
        return x[1]

    first = x[0]
    second = x[1]
    if first == second:
        return first
    else:
        third = x[2]
        if third == first:
            return first
        elif third == second:
            return second
        else:  # all three are different
            return second


def go_deep(x):
    x = str(x)
    ans = ""
    mistakes = 0
    dominant = find_dominant(x)
    for c in x:
        if c != dominant:
            if mistakes == 0:
                mistakes = 1
            else:
                c = dominant
        ans += c
    return ans


x = int(input())
k = int(input())

solutions = []


if dig(x) == 1:
    print(x)
elif k == 0:
    solutions.append(x)

    _first = str(x)[0] # string
    solutions.append(_first * dig(x))

    _next = increment(_first)
    solutions.append(_next * dig(x))
elif k == 1:
    solutions.append(x)

    s = str(x)
    _first = s[0]
    _second = s[1]
    _next = increment(_second)

    solutions.append(make_cool(x, _first))
    solutions.append(make_cool(x, _second))
    solutions.append(make_cool(x, _next))
    solutions.append(int(go_deep(x)))
    solutions.append(int(s[0] + s[1] + s[0] * (len(s)-2)))
    solutions.append(int(s[0] + _next + s[0] * (len(s)-2)))

    solutions.sort()
    # print(solutions)
    # print(is_cool(x, 1))


for n in solutions:
    n = int(n)
    if n >= x and is_cool(n, k):
        print(n)
        break
